export const tableList: any[] = [
  {
    businessId: 1,
    name: '图标加载',
    scene: '离线加载',
    releaseStatus: '未发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '个人工作组',
  },
  {
    businessId: 2,
    name: '图标专利文件加载',
    scene: '离线加载',
    releaseStatus: '未发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '个人工作组',
  },
  {
    businessId: 3,
    name: '版权证书加载',
    scene: '离线加载',
    releaseStatus: '已下线',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '个人工作组',
  },
  {
    businessId: 4,
    name: '学生成绩表格',
    scene: '文件加载',
    releaseStatus: '已发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '共享工作组',
  },
  {
    businessId: 5,
    name: '各科试卷加载',
    scene: '文件加载',
    releaseStatus: '已发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '共享工作组',
  },
  {
    businessId: 6,
    name: '学生个人信息加载',
    scene: '准实时加载',
    releaseStatus: '已发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '共享工作组',
  },
];

export const treeDataList = [
  {
    title: '主体管理',
    key: 1,
    icon: 'home|svg',
    children: [
      { title: 'admin_个人工作区', key: 2 },
      { title: '共享工作区', key: 3 },
      { title: '商城工作区', key: 4 },
      { title: '指标工作区', key: 5 },
    ],
  },
];

export const treeDataListTwo = [
  {
    label: '默认工作组',
    businessId: 1,
    children: [
      { label: '默认工作组01', businessId: 2 },
      { label: '默认工作组02', businessId: 3 },
      { label: '默认工作组03', businessId: 4 },
      { label: '默认工作组04', businessId: 5 },
    ],
  },
];

export const TreeData: any[] = [
  {
    delFlag: '0',
    flag: '1',
    businessId: 100,
    parentWorkSpaceName: '整合',
    workSpaceName: '整合',
    parentId: 0,
    'code:': '001',
    ancestors: '0',
    orderNum: 0,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 101,
    parentWorkSpaceName: '数据加载',
    workSpaceName: '数据加载',
    parentId: 100,
    'code:': '002',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 201,
    parentWorkSpaceName: '数据加载',
    workSpaceName: '个人工作区',
    parentId: 101,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 202,
    parentWorkSpaceName: '数据加载',
    workSpaceName: '共享工作区',
    parentId: 101,
    'code:': '004',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 301,
    parentWorkSpaceName: '个人工作区',
    workSpaceName: '图标验收',
    parentId: 201,
    'code:': '004',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 302,
    parentWorkSpaceName: '共享工作区',
    workSpaceName: '学生成绩',
    parentId: 202,
    'code:': '004',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
];

export const cardList = [
  {
    title: '数据库离线加载',
    scene: 'databaseOfflineLoading',
    icon: 'majesticons:data-minus',
    color: '#9064e9',
    description: '支持数据加载导数据仓库（数据加载功能），也支持数仓将数据写入业务库（卸载功能）',
  },
  {
    title: '文件离线加载',
    scene: 'fileOfflineLoading',
    icon: 'tabler:file-isr',
    color: '#9064e9',
    description: '支持将文件定期加载入数据仓库中',
  },
  {
    title: '准实时加载',
    scene: 'dataDischargeLake',
    icon: 'mdi:database-clock',
    color: '#9064e9',
    description: '支持从数仓将数据加载到传统关系数据库中，支持目标端（Mysql,Oracle等）。',
  },
  {
    title: '数据出湖',
    scene: 'databaseOfflineLoading',
    icon: 'icon-park-solid:data-switching',
    color: '#9064e9',
    description: '支持从数仓将数据加载到传统关系数据库中，支持目标端（Mysql,Oracle等）。',
  },
];

export const cardRuleList = [
  {
    title: '【全局】新增字段规则',
    type: 'newFieldRule',
    description: '为源端所有数据表都新增一个字段，例如为每张表增加一个入库时间列',
  },
  {
    title: '【全局】字段名称映射规则',
    type: 'fieldNameMappingRule',
    description: '通过正则表达式，将全局匹配的源端中的字段名称全部映射为输入的目标字段名称',
  },
  {
    title: '【全局】字段类型映射规则',
    type: 'fieldTypeMappingRule',
    description: '将全局匹配的源端中的字段类型全部映射为所选的目标字段类型',
  },
  {
    title: '数据转换规则',
    type: 'dataTransformationRule',
    description: '根据业务需求，对源端单张数据表的单个字段进行数据转换操作',
  },
  {
    title: '【单表】字段映射规则',
    type: 'singleTableFieldMappingRule',
    description: '根据业务需求，对选中的源端表进行详情字段名、类型、注释 的映射配置',
  },
];

export const tableTreeData = [
  {
    title: 'bm_datasource',
    key: '0',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, catalog_id FROM bm_datasource',
  },
  {
    title: 'user_info',
    key: '1',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, catalog_id, name, description FROM user_info',
  },
  {
    title: 'customer_details',
    key: '2',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, user_id, username, email FROM customer_details',
  },
  {
    title: 'order_history',
    key: '3',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, order_id, total_amount FROM order_history',
  },
  {
    title: 'product_inventory',
    key: '4',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, product_id, product_name, price FROM product_inventory',
  },
  {
    title: 'transaction_logs',
    key: '5',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, category_id, category_name FROM transaction_logs',
  },
  {
    title: 'employee_records',
    key: '6',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, customer_id, customer_name FROM employee_records',
  },
  {
    title: 'payment_details',
    key: '7',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, customer_id, order_date FROM payment_details',
  },
  {
    title: 'shipping_addresses',
    key: '8',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, product_id, stock_quantity, last_updated FROM shipping_addresses',
  },
  {
    title: 'invoice_data',
    key: '9',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, user_id, address, phone_number FROM invoice_data',
  },
  {
    title: 'customer_feedback',
    key: '10',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, category_id, category_description, parent_category_id FROM customer_feedback',
  },
  {
    title: 'supplier_info',
    key: '11',
    icon: 'majesticons:table-line',
    sql: 'SELECT * FROM supplier_info', // 假设 supplier_info 表没有在 isCustomSQLTableList 中定义字段
  },
];

export const isCustomSQLTableList = [
  {
    businessId: '14',
    ownershipTableId: '0',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '15',
    ownershipTableId: '0',
    fieldName: 'catalog_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '1',
    ownershipTableId: '1',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '2',
    ownershipTableId: '1',
    fieldName: 'catalog_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '3',
    ownershipTableId: '1',
    fieldName: 'name',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '4',
    ownershipTableId: '1',
    fieldName: 'description',
    fieldType: 'TEXT',
  },
  {
    businessId: '5',
    ownershipTableId: '2',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '6',
    ownershipTableId: '2',
    fieldName: 'user_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '7',
    ownershipTableId: '2',
    fieldName: 'username',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '8',
    ownershipTableId: '2',
    fieldName: 'email',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '9',
    ownershipTableId: '3',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '10',
    ownershipTableId: '3',
    fieldName: 'order_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '11',
    ownershipTableId: '3',
    fieldName: 'total_amount',
    fieldType: 'DECIMAL(10,2)',
  },
  {
    businessId: '12',
    ownershipTableId: '4',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '13',
    ownershipTableId: '4',
    fieldName: 'product_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '14',
    ownershipTableId: '4',
    fieldName: 'product_name',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '15',
    ownershipTableId: '4',
    fieldName: 'price',
    fieldType: 'DECIMAL(10,2)',
  },
  {
    businessId: '16',
    ownershipTableId: '5',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '17',
    ownershipTableId: '5',
    fieldName: 'category_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '18',
    ownershipTableId: '5',
    fieldName: 'category_name',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '19',
    ownershipTableId: '6',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '20',
    ownershipTableId: '6',
    fieldName: 'customer_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '21',
    ownershipTableId: '6',
    fieldName: 'customer_name',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '22',
    ownershipTableId: '7',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '23',
    ownershipTableId: '7',
    fieldName: 'customer_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '24',
    ownershipTableId: '7',
    fieldName: 'order_date',
    fieldType: 'DATE',
  },
  {
    businessId: '25',
    ownershipTableId: '8',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '26',
    ownershipTableId: '8',
    fieldName: 'product_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '27',
    ownershipTableId: '8',
    fieldName: 'stock_quantity',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '28',
    ownershipTableId: '8',
    fieldName: 'last_updated',
    fieldType: 'TIMESTAMP',
  },
  {
    businessId: '29',
    ownershipTableId: '9',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '30',
    ownershipTableId: '9',
    fieldName: 'user_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '31',
    ownershipTableId: '9',
    fieldName: 'address',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '32',
    ownershipTableId: '9',
    fieldName: 'phone_number',
    fieldType: 'VARCHAR(20,0)',
  },
  {
    businessId: '33',
    ownershipTableId: '10',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '34',
    ownershipTableId: '10',
    fieldName: 'category_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '35',
    ownershipTableId: '10',
    fieldName: 'category_description',
    fieldType: 'TEXT',
  },
  {
    businessId: '36',
    ownershipTableId: '10',
    fieldName: 'parent_category_id',
    fieldType: 'BIGINT(19,0)',
  },
];

export const isBatchCustomSQLTableList = [
  {
    businessId: '1',
    ownershipTableId: '1',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '2',
    ownershipTableId: '1',
    fieldName: 'catalog_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '3',
    ownershipTableId: '1',
    fieldName: 'name',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '4',
    ownershipTableId: '1',
    fieldName: 'description',
    fieldType: 'TEXT',
  },
  {
    businessId: '5',
    ownershipTableId: '2',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '6',
    ownershipTableId: '2',
    fieldName: 'user_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '7',
    ownershipTableId: '2',
    fieldName: 'username',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '8',
    ownershipTableId: '2',
    fieldName: 'email',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '9',
    ownershipTableId: '3',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '10',
    ownershipTableId: '3',
    fieldName: 'order_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '11',
    ownershipTableId: '3',
    fieldName: 'total_amount',
    fieldType: 'DECIMAL(10,2)',
  },
  {
    businessId: '12',
    ownershipTableId: '4',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '13',
    ownershipTableId: '4',
    fieldName: 'product_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '14',
    ownershipTableId: '4',
    fieldName: 'product_name',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '15',
    ownershipTableId: '4',
    fieldName: 'price',
    fieldType: 'DECIMAL(10,2)',
  },
];

export const notCustomSQLTableList = [
  // bm_datasource
  {
    businessId: '1',
    ownershipTableId: '0',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '2',
    ownershipTableId: '0',
    fieldName: 'catalog_id',
    fieldType: 'BIGINT(19,0)',
  },

  // user_info
  {
    businessId: '3',
    ownershipTableId: '1',
    fieldName: 'user_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '4',
    ownershipTableId: '1',
    fieldName: 'username',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '5',
    ownershipTableId: '1',
    fieldName: 'email',
    fieldType: 'VARCHAR(100,0)',
  },

  // customer_details
  {
    businessId: '6',
    ownershipTableId: '2',
    fieldName: 'customer_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '7',
    ownershipTableId: '2',
    fieldName: 'first_name',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '8',
    ownershipTableId: '2',
    fieldName: 'last_name',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '9',
    ownershipTableId: '2',
    fieldName: 'address',
    fieldType: 'VARCHAR(255,0)',
  },

  // order_history
  {
    businessId: '10',
    ownershipTableId: '3',
    fieldName: 'order_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '11',
    ownershipTableId: '3',
    fieldName: 'customer_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '12',
    ownershipTableId: '3',
    fieldName: 'order_date',
    fieldType: 'DATETIME',
  },

  // product_inventory
  {
    businessId: '13',
    ownershipTableId: '4',
    fieldName: 'product_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '14',
    ownershipTableId: '4',
    fieldName: 'quantity',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '15',
    ownershipTableId: '4',
    fieldName: 'price',
    fieldType: 'DECIMAL(10,2)',
  },

  // transaction_logs
  {
    businessId: '16',
    ownershipTableId: '5',
    fieldName: 'log_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '17',
    ownershipTableId: '5',
    fieldName: 'transaction_type',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '18',
    ownershipTableId: '5',
    fieldName: 'amount',
    fieldType: 'DECIMAL(10,2)',
  },

  // employee_records
  {
    businessId: '19',
    ownershipTableId: '6',
    fieldName: 'employee_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '20',
    ownershipTableId: '6',
    fieldName: 'name',
    fieldType: 'VARCHAR(100,0)',
  },
  {
    businessId: '21',
    ownershipTableId: '6',
    fieldName: 'position',
    fieldType: 'VARCHAR(100,0)',
  },

  // payment_details
  {
    businessId: '22',
    ownershipTableId: '7',
    fieldName: 'payment_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '23',
    ownershipTableId: '7',
    fieldName: 'payment_method',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '24',
    ownershipTableId: '7',
    fieldName: 'amount',
    fieldType: 'DECIMAL(10,2)',
  },

  // shipping_addresses
  {
    businessId: '25',
    ownershipTableId: '8',
    fieldName: 'address_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '26',
    ownershipTableId: '8',
    fieldName: 'customer_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '27',
    ownershipTableId: '8',
    fieldName: 'address',
    fieldType: 'VARCHAR(255,0)',
  },

  // invoice_data
  {
    businessId: '28',
    ownershipTableId: '9',
    fieldName: 'invoice_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '29',
    ownershipTableId: '9',
    fieldName: 'invoice_date',
    fieldType: 'DATETIME',
  },
  {
    businessId: '30',
    ownershipTableId: '9',
    fieldName: 'total_amount',
    fieldType: 'DECIMAL(10,2)',
  },

  // customer_feedback
  {
    businessId: '31',
    ownershipTableId: '10',
    fieldName: 'feedback_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '32',
    ownershipTableId: '10',
    fieldName: 'customer_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '33',
    ownershipTableId: '10',
    fieldName: 'feedback_text',
    fieldType: 'TEXT',
  },

  // supplier_info
  {
    businessId: '34',
    ownershipTableId: '11',
    fieldName: 'supplier_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '35',
    ownershipTableId: '11',
    fieldName: 'company_name',
    fieldType: 'VARCHAR(100,0)',
  },
  {
    businessId: '36',
    ownershipTableId: '11',
    fieldName: 'contact_person',
    fieldType: 'VARCHAR(100,0)',
  },
];

export const getMetadataTableList = [
  {
    tableName: 'bm_datasource',
    businessId: '0',
  },
  {
    tableName: 'user_info',
    businessId: '1',
  },
  {
    tableName: 'customer_details',
    businessId: '2',
  },
  {
    tableName: 'order_history',
    businessId: '3',
  },
  {
    tableName: 'product_inventory',
    businessId: '4',
  },
  {
    tableName: 'transaction_logs',
    businessId: '5',
  },
  {
    tableName: 'employee_records',
    businessId: '6',
  },
  {
    tableName: 'payment_details',
    businessId: '7',
  },
  {
    tableName: 'shipping_addresses',
    businessId: '8',
  },
  {
    tableName: 'invoice_data',
    businessId: '9',
  },
  {
    tableName: 'customer_feedback',
    businessId: '10',
  },
  {
    tableName: 'supplier_info',
    businessId: '11',
  },
];

export const configurationTableList = [
  {
    sourceTableName: 'bm_datasource',
    targetTableName: 'bm_datasource',
    configurationMode: 0,
    businessId: '8',
  },
  {
    sourceTableName: 'user_info',
    targetTableName: 'user_info',
    configurationMode: 1,
    businessId: '1',
  },
  {
    sourceTableName: 'customer_details',
    targetTableName: 'customer_details',
    configurationMode: 1,
    businessId: '2',
  },
  {
    sourceTableName: 'order_history',
    targetTableName: 'order_history',
    configurationMode: 1,
    businessId: '3',
  },
  {
    sourceTableName: 'product_inventory',
    targetTableName: 'product_inventory',
    configurationMode: 1,
    businessId: '4',
  },
  {
    sourceTableName: 'transaction_logs',
    targetTableName: 'transaction_logs',
    configurationMode: 1,
    businessId: '5',
  },
  {
    sourceTableName: 'employee_records',
    targetTableName: 'employee_records',
    configurationMode: 1,
    businessId: '6',
  },
  {
    sourceTableName: 'payment_details',
    targetTableName: 'payment_details',
    configurationMode: 1,
    businessId: '7',
  },
];

export const mappingRuleConfigurationTableList = [
  {
    businessId: '1',
    ruleName: '[单表] 字段映射规则',
    ruleContent: '源表名:table_1',
  },
  {
    businessId: '2',
    ruleName: '[全局] 新增字段规则',
    ruleContent: '新增字段名称:a, 字段类型:string, 字段表达式:asd',
  },
  {
    businessId: '3',
    ruleName: '[全局] 字段名称映射规则',
    ruleContent: '原字段名称:未配置, 目标字段名称:未配置',
  },
  {
    businessId: '4',
    ruleName: '[全局] 字段类型映射规则',
    ruleContent: '源字段类型:timestamp, 目标字段类型:string',
  },
  {
    businessId: '5',
    ruleName: '[单表] 字段映射规则',
    ruleContent: '源表名:table_2',
  },
];

export const fieldTypeOptions = [
  'INT', // 整型
  'BIGINT', // 大整型
  'FLOAT', // 浮点型
  'DOUBLE', // 双精度浮点型
  'DECIMAL', // 定点数
  'VARCHAR', // 可变长度字符串
  'CHAR', // 固定长度字符串
  'TEXT', // 长文本
  'DATE', // 日期
  'TIME', // 时间
  'DATETIME', // 日期时间
  'TIMESTAMP', // 时间戳
  'BLOB', // 二进制大对象
  'BOOLEAN', // 布尔型
  'ENUM', // 枚举
  'SET', // 集合
  'JSON', // JSON 格式数据
  'BINARY', // 二进制
  'VARBINARY', // 可变长度二进制
  'TINYINT', // 小整型
  'SMALLINT', // 短整型
  'MEDIUMINT', // 中等整型
  'YEAR', // 年份
  'GEOMETRY', // 几何数据类型
  'POINT', // 点
  'LINESTRING', // 线串
  'POLYGON', // 多边形
  'MULTIPOINT', // 多点
  'MULTILINESTRING', // 多线串
  'MULTIPOLYGON', // 多多边形
  'GEOMETRYCOLLECTION', // 几何集合
];

export const fieldNameTableTreeData = [
  {
    title: 'table1_1',
    key: '1',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, catalog_id FROM bm_datasource',
  },
  {
    title: 'table1_2',
    key: '2',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, catalog_id, name, description FROM user_info',
  },
  {
    title: 'table1_3',
    key: '3',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, user_id, username, email FROM customer_details',
  },
];

export const fieldNameMappingRuleTableList = [
  {
    businessId: '1',
    ownershipTableId: '1',
    fieldName: 'uuid',
    targetFieldName: 'test_uuid_obs',
    fieldType: 'VARCHAR(50)',
  },
  {
    businessId: '2',
    ownershipTableId: '1',
    fieldName: 'catalog_id',
    targetFieldName: 'test_catalog_id_obs',
    fieldType: 'BIGINT(19)',
  },
  {
    businessId: '3',
    ownershipTableId: '1',
    fieldName: 'name',
    targetFieldName: 'test_name_obs',
    fieldType: 'VARCHAR(255)',
  },
  {
    businessId: '4',
    ownershipTableId: '1',
    fieldName: 'description',
    targetFieldName: 'test_description_obs',
    fieldType: 'TEXT',
  },
  {
    businessId: '5',
    ownershipTableId: '2',
    fieldName: 'uuid',
    targetFieldName: 'test_uuid_obs_2',
    fieldType: 'VARCHAR(50)',
  },
  {
    businessId: '6',
    ownershipTableId: '2',
    fieldName: 'user_id',
    targetFieldName: 'test_user_id_obs',
    fieldType: 'BIGINT(19)',
  },
  {
    businessId: '7',
    ownershipTableId: '2',
    fieldName: 'username',
    targetFieldName: 'test_username_obs',
    fieldType: 'VARCHAR(255)',
  },
  {
    businessId: '8',
    ownershipTableId: '2',
    fieldName: 'email',
    targetFieldName: 'test_email_obs',
    fieldType: 'VARCHAR(255)',
  },
  {
    businessId: '9',
    ownershipTableId: '3',
    fieldName: 'uuid',
    targetFieldName: 'test_uuid_obs_3',
    fieldType: 'VARCHAR(50)',
  },
  {
    businessId: '10',
    ownershipTableId: '3',
    fieldName: 'order_id',
    targetFieldName: 'test_order_id_obs',
    fieldType: 'BIGINT(19)',
  },
  {
    businessId: '11',
    ownershipTableId: '3',
    fieldName: 'total_amount',
    targetFieldName: 'test_total_amount_obs',
    fieldType: 'DECIMAL(10,2)',
  },
];

export const sourceFieldNameMappingRuleTableList = [
  {
    businessId: '1',
    ownershipTableId: '1',
    fieldName: 'uuid',
    targetFieldName: 'test_uuid_obs',
    annotation: '-',
    fieldType: 'VARCHAR(50)',
  },
  {
    businessId: '2',
    ownershipTableId: '1',
    fieldName: 'catalog_id',
    targetFieldName: 'test_catalog_id_obs',
    annotation: '-',
    fieldType: 'BIGINT(19)',
  },
  {
    businessId: '3',
    ownershipTableId: '1',
    fieldName: 'name',
    targetFieldName: 'test_name_obs',
    annotation: '-',
    fieldType: 'VARCHAR(255)',
  },
  {
    businessId: '4',
    ownershipTableId: '1',
    fieldName: 'description',
    targetFieldName: 'test_description_obs',
    annotation: '-',
    fieldType: 'TEXT',
  },
  {
    businessId: '5',
    ownershipTableId: '2',
    fieldName: 'uuid',
    targetFieldName: 'test_uuid_obs_2',
    annotation: '-',
    fieldType: 'VARCHAR(50)',
  },
  {
    businessId: '6',
    ownershipTableId: '2',
    fieldName: 'user_id',
    targetFieldName: 'test_user_id_obs',
    annotation: '-',
    fieldType: 'BIGINT(19)',
  },
  {
    businessId: '7',
    ownershipTableId: '2',
    fieldName: 'username',
    targetFieldName: 'test_username_obs',
    annotation: '-',
    fieldType: 'VARCHAR(255)',
  },
  {
    businessId: '8',
    ownershipTableId: '2',
    fieldName: 'email',
    targetFieldName: 'test_email_obs',
    annotation: '-',
    fieldType: 'VARCHAR(255)',
  },
  {
    businessId: '9',
    ownershipTableId: '3',
    fieldName: 'uuid',
    targetFieldName: 'test_uuid_obs_3',
    annotation: '-',
    fieldType: 'VARCHAR(50)',
  },
  {
    businessId: '10',
    ownershipTableId: '3',
    fieldName: 'order_id',
    targetFieldName: 'test_order_id_obs',
    annotation: '-',
    fieldType: 'BIGINT(19)',
  },
  {
    businessId: '11',
    ownershipTableId: '3',
    fieldName: 'total_amount',
    targetFieldName: 'test_total_amount_obs',
    annotation: '-',
    fieldType: 'DECIMAL(10,2)',
  },
];

export const goalFieldNameMappingRuleTableList = [
  {
    businessId: '1',
    ownershipTableId: '1',
    targetFieldName: 'test_uuid_obs',
    annotation: '-',
    fieldType: 'VARCHAR(50)',
  },
  {
    businessId: '2',
    ownershipTableId: '1',
    targetFieldName: 'test_catalog_id_obs',
    annotation: '-',
    fieldType: 'BIGINT(19)',
  },
  {
    businessId: '3',
    ownershipTableId: '1',
    targetFieldName: 'test_name_obs',
    annotation: '-',
    fieldType: 'VARCHAR(255)',
  },
  {
    businessId: '4',
    ownershipTableId: '1',
    targetFieldName: 'test_description_obs',
    annotation: '-',
    fieldType: 'TEXT',
  },
  {
    businessId: '5',
    ownershipTableId: '2',
    targetFieldName: 'test_uuid_obs_2',
    annotation: '-',
    fieldType: 'VARCHAR(50)',
  },
  {
    businessId: '6',
    ownershipTableId: '2',
    targetFieldName: 'test_user_id_obs',
    annotation: '-',
    fieldType: 'BIGINT(19)',
  },
  {
    businessId: '7',
    ownershipTableId: '2',
    targetFieldName: 'test_username_obs',
    annotation: '-',
    fieldType: 'VARCHAR(255)',
  },
  {
    businessId: '8',
    ownershipTableId: '2',
    targetFieldName: 'test_email_obs',
    annotation: '-',
    fieldType: 'VARCHAR(255)',
  },
  {
    businessId: '9',
    ownershipTableId: '3',
    targetFieldName: 'test_uuid_obs_3',
    annotation: '-',
    fieldType: 'VARCHAR(50)',
  },
  {
    businessId: '10',
    ownershipTableId: '3',
    targetFieldName: 'test_order_id_obs',
    annotation: '-',
    fieldType: 'BIGINT(19)',
  },
  {
    businessId: '11',
    ownershipTableId: '3',
    targetFieldName: 'test_total_amount_obs',
    annotation: '-',
    fieldType: 'DECIMAL(10,2)',
  },
];
export const versionManageData: any[] = [
  {
    name: 'V1.0',
    user: 'admin',
    remark: '已发布',
    date: '2024-10-24 10:04:04',
  },
  {
    name: 'V1.1',
    user: 'admin',
    remark: '已发布',
    date: '2024-10-24 10:04:04',
  },
  {
    name: 'V1.2',
    user: 'admin',
    remark: '已发布',
    date: '2024-10-24 10:04:04',
  },
  {
    name: 'V1.3',
    user: 'admin',
    remark: '已发布',
    date: '2024-10-24 10:04:04',
  },
];
export const runOptionsData: any[] = [
  {
    name: 'tdt.job.cleaning',
    type: '服务参数',
    data: 'true',
  },
  {
    name: 'tdt.jdbc.mapper.size',
    type: '服务参数',
    data: '1024',
  },
  {
    name: 'tdt.job.mapper.count',
    type: '服务参数',
    data: 'true',
  },
  {
    name: 'tdt.strict.mode',
    type: '服务参数',
    data: 'false',
  },
];

export const partitionKeyTableList = [
  {
    businessId: '1',
    ownershipTableId: '1',
    fieldName: 'test_uuid_obs',
    fieldType: 'VARCHAR(50)',
    annotation: '-',
  },
  {
    businessId: '2',
    ownershipTableId: '2',
    fieldName: 'test_catalog_id_obs',
    annotation: '-',
    fieldType: 'BIGINT(19)',
  },
  {
    businessId: '3',
    ownershipTableId: '2',
    fieldName: '',
    annotation: '-',
    fieldType: ' ',
  },
];

export const partitionRangeTableList = [
  {
    businessId: '1',
    ownershipTableId: '1',
    name: 'test_uuid_obs',
    value: 'test_uuid_obs>10',
  },
  {
    businessId: '2',
    ownershipTableId: '2',
    name: 'test_catalog_id_obs',
    value: 'test_catalog_id_obs!==100',
  },
];

export const otherConfigurationTableList = [
  {
    businessId: '1',
    ownershipTableId: '1',
    otherConfigurationType: '表注释',
    otherConfigurationContent: '这是个测试用表',
  },
  {
    businessId: '2',
    ownershipTableId: '1',
    otherConfigurationType: '表别名',
    otherConfigurationContent: '测试用表',
  },
];

export const tabularPresentationTableList = [
  {
    businessId: '1',
    ownershipTableId: '1',
    sourceTable: 'table_1',
    targetTable: 'test_table_1_obs',
    tableType: 'ORC',
    areaType: '无',
    partitionKey: '-',
    debuggingResult: '',
  },
  {
    businessId: '1',
    ownershipTableId: '1',
    sourceTable: 'auto_catalog_hdfs_file_1.txt',
    targetTable: 'yesy',
    tableType: 'ORC',
    areaType: '无',
    partitionKey: '-',
    debuggingResult: '',
  },
];
export const compareTableList = [
  {
    businessId: '1',
    ownershipTableId: '1',
    sourceColumnName: 'uuid',
    targetColumnName: 'test_uuid_obs',
    sourceFieldType: 'VARCHAR',
    targetFieldType: 'string',
    annotation: '-',
  },
  {
    businessId: '2',
    ownershipTableId: '2',
    sourceColumnName: 'catalog',
    targetColumnName: 'test_catalog_id_obs',
    annotation: '-',
    sourceFieldType: 'BIGINT',
    targetFieldType: 'string',
  },
  {
    businessId: '3',
    ownershipTableId: '3',
    sourceColumnName: 'name',
    targetColumnName: 'test_name_obs',
    sourceFieldType: 'VARCHAR',
    targetFieldType: 'string',
    annotation: '-',
  },
  {
    businessId: '4',
    ownershipTableId: '4',
    sourceColumnName: 'description',
    targetColumnName: 'test_description_obs',
    sourceFieldType: 'TEXT',
    targetFieldType: 'string',
    annotation: '-',
  },
  {
    businessId: '5',
    ownershipTableId: '5',
    sourceColumnName: 'created_at',
    targetColumnName: 'test_created_at_obs',
    sourceFieldType: 'TIMESTAMP',
    targetFieldType: 'string',
    annotation: '-',
  },
];
